Bug 12187 - Italian translation issues
Italian translation issues
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Federico Musto
Brock Organ
Winston should-fix
Depends On:
  Show dependency treegraph
Reported: 2000-06-13 05:43 EDT by giulioo
Modified: 2007-03-26 23:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-11-10 15:17:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description giulioo 2000-06-13 05:43:25 EDT
Text install

- During rpm install there is a writing in the upper right corner of the 
screen that is chopped: "Sistema di ins", it should probably be "Sistema 
di installazione".

- "Bytes" column in rpm install: there is a grammatical rule in Italian 
that says that if you use a foreign term in an Italian context you don't 
change it for plural/feminine...
So we should say, for instance,  "Il file occupa 1 byte, 2 byte, 3 byte" 
and not "Il file occupa 1 byte, 2 byteS, ...". The column heading should 
be "Byte", not "Bytes".

- When you create the boot disk the message is in English.

- End of install message: the title is "Completo", it would be better 
something like "Installazione completata", "Fine 
installazione". "Completo", used alone as a title, sounds weird.

- End of install message: typo, "dichetto" should be "dischetto".

- End of install message: "consultare l'Errata" ("..consult Errata..") is 
confusing, better "consultare la sezione intitolata 'Errata' 
or "consultare la sezione 'Errata' "
 ("...consult the section titled Errata ...", "..consult the Errata 

Expert Install:
The message with "I don't have any special device drivers loaded for your 
system. Would you like to load some now?" is translated in a very weird 
If I re-translate in English what I see in Italian it would be 
"The special device drivers loaded on your system are not available. Do 
you want to load them?"

1st. As you see, the message has another meaning in the Italian translation
I propose something like "Nessuno dei device driver (dispositivi) speciali 
h stato caricato per il vostro sistema. Volete caricarne qualcuno ora?"
that would be "None of the special device drivers has been loaded for your 
system. Would you like to load some now?"

There is even the issue of the translation of "device driver": it's 
translated with "dispositivo" in the title and the button, and it's left 
as "device driver" in the message.
My preference would be to always use "device driver (dispositivo)" "device 
drivers (dispositivi)", this is because "device driver" is commonly used 
in Italy.
But I don't know if you have rules for these cases.

2nd: "Done" is translated with "Fine" (END). It would be better:
"prosegue" or "continua" (continue)
"fatto" (done)
Again, I don't know if you have rules for this kind of buttons.
Certainly "fine" (end) is misleading: I thought I had no choice but to 
terminate the installation when I saw "Fine" (End).

There is a typo in the screen Xconfigurator displays after you select 
custom combinations of bpp and pixels, before doing the test on you 
screen: "eseguie" should be "esegue".
Comment 1 Michael Fulbright 2000-06-14 10:39:05 EDT
Thank you for catching these problems, I will see they are brought to the
proper persons attention.
Comment 2 Glen Foster 2000-07-18 14:37:13 EDT
This defect is considered MUST-FIX for Winston Beta-5
Comment 3 Erik Troan 2000-07-21 12:23:57 EDT
The translations haven't been returned from the translators yet. Please test
this when we release an 8-bit foreign language beta.
Comment 4 giulioo 2000-08-03 07:20:35 EDT
It seems I got a bad cdrom for pinstripe (so I was told in bug 15059) so that I 
can only perform a text install, cannot judge on the GUI install (however in 
beta3 the GUI was better then the text).

Brief summary:
If your aim is to make yourself understood by Italians, you got it (even 
if with some weird translations).

If your aim is to "look professional" you completely miss the point. 
I'm sorry to be so "rude" :-)

Have a Red Hat Engineer from Red Hat Italy perform a "boot: text expert" 
install and he will understand. 

Just a summary:
Untranslated things among translated ones, even the last line help text
Various strings that go over the end of the screen 
Unaligned labels
You seem to have a sort of "personal issue" (ok, I too..) with the pop-up 
message about loading the special device drivers (expert install):
1) the words "device drivers" are translated in Italian in the title of the 
message and the button and are left in English in the message itself...; I'm 
not agaist using the words "device driver" in Italian (I personally 
prefer "device driver" to "dispositivo", but non-computer people will think 
otherwise), just make up your mind a be consistent: maybe use "dispositivo" 
2) you have serious problems translating the English phrase "I don't have any 
special device drivers loaded for your system. Would you like to load some 
now?". This time you did better but still confusing (I re-translate in 
English) "A special device driver loaded on the system is not available. Do you 
want to load it?""
Comment 5 Glen Foster 2000-08-16 18:38:55 EDT
This defect has been classified as SHOULD-FIX for Winston Gold-release
Comment 6 Michael Fulbright 2000-11-10 15:17:07 EST
Final release has shipped, issues which could be addressed have been.

Note You need to log in before you can comment on or make changes to this bug.